<?php
/**
 * The header.
 *
 * This is the template that displays all of the <head> section and everything up until main.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage Twenty_Twenty_One
 * @since Twenty Twenty-One 1.0
 */

?>
<!doctype html>
<html <?php language_attributes(); ?> <?php twentytwentyone_the_html_classes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title><?php wp_title(); ?></title>
    
    <link rel="preload" href="<?php echo get_stylesheet_directory_uri(); ?>/fonts/Poppins-Regular.woff2" as="font" type="font/woff2" crossorigin="anonymous">
    <link rel="preload" href="<?php echo get_stylesheet_directory_uri(); ?>/fonts/Poppins-Regular.woff" as="font" type="font/woff2" crossorigin="anonymous">

    <link rel="preload" href="<?php echo get_stylesheet_directory_uri(); ?>/fonts/Inter-Regular.woff2" as="font" type="font/woff2" crossorigin="anonymous">
    <link rel="preload" href="<?php echo get_stylesheet_directory_uri(); ?>/fonts/Inter-Regular.woff" as="font" type="font/woff2" crossorigin="anonymous">
 <link rel="preload" href="<?php echo get_stylesheet_directory_uri(); ?>/fonts/Inter-Medium.woff2" as="font" type="font/woff2" crossorigin="anonymous">
    <link rel="preload" href="<?php echo get_stylesheet_directory_uri(); ?>/fonts/Inter-Medium.woff" as="font" type="font/woff2" crossorigin="anonymous">



    <style>
        @font-face {
            font-family: 'Poppins';
            src: url('<?php echo get_stylesheet_directory_uri(); ?>/fonts/Poppins-Regular.woff2') format('woff2');
            font-display: block;
        }
          @font-face {
            font-family: 'Poppins';
            src: url('<?php echo get_stylesheet_directory_uri(); ?>/fonts/Poppins-Regular.woff') format('woff');
            font-display: block;
        }
          @font-face {
           font-family:'Inter';
            src: url('<?php echo get_stylesheet_directory_uri(); ?>/fonts/Inter-Regular.woff2') format('woff2');
            font-display: block;
        }
          @font-face {
           font-family:'Inter';
            src: url('<?php echo get_stylesheet_directory_uri(); ?>/fonts/Inter-Regular.woff') format('woff');
            font-display: block;
        }
         @font-face {
           font-family:'Inter-Medium';
            src: url('<?php echo get_stylesheet_directory_uri(); ?>/fonts/Inter-Medium.woff2') format('woff2');
            font-display: block;
            font-weight: 500;
        }
          @font-face {
           font-family:'Inter-Medium';
            src: url('<?php echo get_stylesheet_directory_uri(); ?>/fonts/Inter-Medium.woff') format('woff');
            font-display: block;
              font-weight: 500;
        }

        /* Initially hide the text */
        h1,h2,h3,h4,h5,h6,.tab {
            visibility: hidden;
            font-family: 'Poppins';
        }
        p ,li,small,span,a,.content,a{
              visibility: hidden;
             font-family:'Inter';
        }
        /* Show text and apply custom font when fonts are loaded */
        .fonts-loaded h1,.fonts-loaded h2,.fonts-loaded h3,.fonts-loaded h4,.fonts-loaded h5,.fonts-loaded h6, .fonts-loaded .tab{
            visibility: visible;
            font-family: 'Poppins';
        }
.site-header .right-column .btn,.h_sec6 .btn{
     font-family:'Inter-Medium';
       visibility: hidden;
}
 .fonts-loaded .site-header .right-column .btn, .fonts-loaded  .h_sec6 .btn{
     visibility: visible;
       font-family:'Inter-Medium';
 }

         .fonts-loaded p,.fonts-loaded li,.fonts-loaded span,.fonts-loaded small, .fonts-loaded .content,.fonts-loaded a{
            visibility: visible;
           font-family:'Inter';
           font-weight: 400;
        }
    </style>
    
    <script>
        if ('fonts' in document) {
            document.fonts.load('1em Poppins').then(function() {
                document.documentElement.classList.add('fonts-loaded');
            }).catch(function() {
                document.documentElement.classList.add('fonts-loaded'); // Fallback in case of error
            });
        } else {
            document.documentElement.classList.add('fonts-loaded'); // Fallback for older browsers
        }
    </script>
    
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
    <?php wp_body_open(); ?>
    <header class="site-header">
        <div class="container">
            <div class="left-column">
                <a href="javascript:;" class="site-logo">
                    <img src="<?php echo get_stylesheet_directory_uri(); ?>/images/logo.svg" alt="logo">
                </a>
            </div>
            <div class="right-column">
                <a href="<?php the_field("head_button_url"); ?>" class="btn"> <?php the_field("head_button_text"); ?> </a>
            </div>
        </div>
    </header>
